# Class TCefPostDataElementOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFPostDataElement

## Declaration

`type TCefPostDataElementOwn = class(TCefBaseRefCountedOwn, ICefPostDataElement)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefPostDataElementOwn

## Overview

### Fields

| `FDataType: TCefPostDataElementType;`
| `FValueByte: Pointer;`
| `FValueStr: TCefString;`
| `FSize: NativeUInt;`
| `FReadOnly: Boolean;`

### Methods

| `procedure Clear;`
| `function IsReadOnly: Boolean; virtual;`
| `procedure SetToEmpty; virtual;`
| `procedure SetToFile(const fileName: ustring); virtual;`
| `procedure SetToBytes(size: NativeUInt; const bytes: Pointer); virtual;`
| `function GetType: TCefPostDataElementType; virtual;`
| `function GetFile: ustring; virtual;`
| `function GetBytesCount: NativeUInt; virtual;`
| `function GetBytes(size: NativeUInt; bytes: Pointer): NativeUInt; virtual;`
| `constructor Create(readonly: Boolean); virtual;`

## Description

### Fields

| `FDataType: TCefPostDataElementType;`
This item has no description.

| `FValueByte: Pointer;`
This item has no description.

| `FValueStr: TCefString;`
This item has no description.

| `FSize: NativeUInt;`
This item has no description.

| `FReadOnly: Boolean;`
This item has no description.

### Methods

| `procedure Clear;`
This item has no description.

| `function IsReadOnly: Boolean; virtual;`
This item has no description. Showing description inherited from ICefPostDataElement.IsReadOnly. Returns true (1) if this object is read-only.

| `procedure SetToEmpty; virtual;`
This item has no description. Showing description inherited from ICefPostDataElement.SetToEmpty. Remove all contents from the post data element.

| `procedure SetToFile(const fileName: ustring); virtual;`
This item has no description. Showing description inherited from ICefPostDataElement.SetToFile. The post data element will represent a file.

| `procedure SetToBytes(size: NativeUInt; const bytes: Pointer); virtual;`
This item has no description. Showing description inherited from ICefPostDataElement.SetToBytes. The post data element will represent bytes. The bytes passed in will be copied.

| `function GetType: TCefPostDataElementType; virtual;`
This item has no description. Showing description inherited from ICefPostDataElement.GetType. Return the type of this post data element.

| `function GetFile: ustring; virtual;`
This item has no description. Showing description inherited from ICefPostDataElement.GetFile. Return the file name.

| `function GetBytesCount: NativeUInt; virtual;`
This item has no description. Showing description inherited from ICefPostDataElement.GetBytesCount. Return the number of bytes.

| `function GetBytes(size: NativeUInt; bytes: Pointer): NativeUInt; virtual;`
This item has no description. Showing description inherited from ICefPostDataElement.GetBytes. Read up to |size| bytes into |bytes| and return the number of bytes actually read.

| `constructor Create(readonly: Boolean); virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.